<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Mon Oct 14 14:51:10 CEST 2019 -->
<title>T-Index</title>
<meta name="date" content="2019-10-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="T-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ServicesTest/GenreServicesTest.html#testAllGenresNoRecordFound--">testAllGenresNoRecordFound()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/GenreServicesTest.html" title="class in ServicesTest">GenreServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/StudentServicesTest.html#testAllStudentsNoRecordFound--">testAllStudentsNoRecordFound()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/StudentServicesTest.html" title="class in ServicesTest">StudentServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BorrowDAOTest.html#testFindAllBorrows--">testFindAllBorrows()</a></span> - Method in class repo.<a href="../repo/BorrowDAOTest.html" title="class in repo">BorrowDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/BorrowservicesTest.html#testFindAllBorrows--">testFindAllBorrows()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/BorrowservicesTest.html" title="class in ServicesTest">BorrowservicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BorrowDAOTest.html#testFindAllBorrowsByBorrower--">testFindAllBorrowsByBorrower()</a></span> - Method in class repo.<a href="../repo/BorrowDAOTest.html" title="class in repo">BorrowDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/BorrowservicesTest.html#testFindAllBorrowsNoRecordFound--">testFindAllBorrowsNoRecordFound()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/BorrowservicesTest.html" title="class in ServicesTest">BorrowservicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BorrowDAOTest.html#testFindAllBorrowsWithStudent--">testFindAllBorrowsWithStudent()</a></span> - Method in class repo.<a href="../repo/BorrowDAOTest.html" title="class in repo">BorrowDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/GenreDAOTest.html#testFindAllGenres--">testFindAllGenres()</a></span> - Method in class repo.<a href="../repo/GenreDAOTest.html" title="class in repo">GenreDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/GenreServicesTest.html#testFindAllGenres--">testFindAllGenres()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/GenreServicesTest.html" title="class in ServicesTest">GenreServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/StudentDAOTest.html#testFindAllStudents--">testFindAllStudents()</a></span> - Method in class repo.<a href="../repo/StudentDAOTest.html" title="class in repo">StudentDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/StudentServicesTest.html#testFindAllStudents--">testFindAllStudents()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/StudentServicesTest.html" title="class in ServicesTest">StudentServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/AuthorDAOTest.html#testFindAuthorById--">testFindAuthorById()</a></span> - Method in class repo.<a href="../repo/AuthorDAOTest.html" title="class in repo">AuthorDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/AuthorServicestest.html#testFindAuthorById--">testFindAuthorById()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/AuthorServicestest.html" title="class in ServicesTest">AuthorServicestest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BookServicesTest.html#TestFindBookById--">TestFindBookById()</a></span> - Method in class repo.<a href="../repo/BookServicesTest.html" title="class in repo">BookServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/BookServicesTest.html#testFindBookById--">testFindBookById()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/BookServicesTest.html" title="class in ServicesTest">BookServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/BookServicesTest.html#testFindBooksWithGenre--">testFindBooksWithGenre()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/BookServicesTest.html" title="class in ServicesTest">BookServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BorrowDAOTest.html#testFindBorrowsBetweenTwoDate--">testFindBorrowsBetweenTwoDate()</a></span> - Method in class repo.<a href="../repo/BorrowDAOTest.html" title="class in repo">BorrowDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/AuthorServicestest.html#testFindByIDNoRecordFound--">testFindByIDNoRecordFound()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/AuthorServicestest.html" title="class in ServicesTest">AuthorServicestest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/BookServicesTest.html#testFindByIDNoRecordFound--">testFindByIDNoRecordFound()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/BookServicesTest.html" title="class in ServicesTest">BookServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/GenreServicesTest.html#testFindByIDNoRecordFound--">testFindByIDNoRecordFound()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/GenreServicesTest.html" title="class in ServicesTest">GenreServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/StudentServicesTest.html#testFindByIDNoRecordFound--">testFindByIDNoRecordFound()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/StudentServicesTest.html" title="class in ServicesTest">StudentServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/GenreDAOTest.html#testFindGenreById--">testFindGenreById()</a></span> - Method in class repo.<a href="../repo/GenreDAOTest.html" title="class in repo">GenreDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/GenreServicesTest.html#testFindGenreById--">testFindGenreById()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/GenreServicesTest.html" title="class in ServicesTest">GenreServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/GenreDAOTest.html#testFindGenreByName--">testFindGenreByName()</a></span> - Method in class repo.<a href="../repo/GenreDAOTest.html" title="class in repo">GenreDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/StudentDAOTest.html#testFindStudentByID--">testFindStudentByID()</a></span> - Method in class repo.<a href="../repo/StudentDAOTest.html" title="class in repo">StudentDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/StudentServicesTest.html#testFindStudentById--">testFindStudentById()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/StudentServicesTest.html" title="class in ServicesTest">StudentServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/AuthorServicestest.html#testSearchByIDOutOfBound--">testSearchByIDOutOfBound()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/AuthorServicestest.html" title="class in ServicesTest">AuthorServicestest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/BookServicesTest.html#testSearchByIDOutOfBound--">testSearchByIDOutOfBound()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/BookServicesTest.html" title="class in ServicesTest">BookServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/GenreServicesTest.html#testSearchByIDOutOfBound--">testSearchByIDOutOfBound()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/GenreServicesTest.html" title="class in ServicesTest">GenreServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/StudentServicesTest.html#testSearchByIDOutOfBound--">testSearchByIDOutOfBound()</a></span> - Method in class ServicesTest.<a href="../ServicesTest/StudentServicesTest.html" title="class in ServicesTest">StudentServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BookServicesTest.html#TestShowBooksWithGenre--">TestShowBooksWithGenre()</a></span> - Method in class repo.<a href="../repo/BookServicesTest.html" title="class in repo">BookServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Book.html#toString--">toString()</a></span> - Method in class domain.<a href="../domain/Book.html" title="class in domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Students.html#toString--">toString()</a></span> - Method in class domain.<a href="../domain/Students.html" title="class in domain">Students</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
